
QGIS Application - Bug report #15028

Use GDAL C API only

2016-06-14 07:20 AM - Even Rouault

Status: Closed

Priority: Normal

Assignee:

Category: Analysis library

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22975

Description

The heatmap plugin seems to be the only use in-tree of the GDAL C++ API. Skimming quickly through it, it seems it could be converted to

using the C API only.

Associated revisions

Revision 18603665 - 2016-06-22 11:40 PM - Jürgen Fischer

heatmap plugin: port to C-API (fixes #15028)

History

#1 - 2016-06-14 08:04 AM - Matthias Kuhn

What's the advantage of this?

#2 - 2016-06-14 08:07 AM - Even Rouault

(Original discussion: https://lists.osgeo.org/pipermail/gdal-dev/2016-June/044586.html + 

https://lists.osgeo.org/pipermail/gdal-dev/2016-June/044589.html)

The GDAL C API/ABI is more stable than the C++ one. And from a design point of view, it would be best if the use of GDAL API by QGIS would be

consistent through the code base

#3 - 2016-06-22 02:41 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"186036659e31f416751f40ffc872da1d23996704".

#4 - 2016-06-22 02:43 PM - Jürgen Fischer

- Status changed from Closed to In Progress

Even Rouault wrote:

(Original discussion: https://lists.osgeo.org/pipermail/gdal-dev/2016-June/044586.html + 
https://lists.osgeo.org/pipermail/gdal-dev/2016-June/044589.html)

Nope, original discussion is https://lists.osgeo.org/pipermail/qgis-developer/2008-February/003295.html leading to commit:fb8424d ;)

#5 - 2016-06-22 02:47 PM - Jürgen Fischer

- Status changed from In Progress to Closed

#6 - 2017-01-02 01:26 AM - Giovanni Manghi

- Category changed from 114 to Analysis library
